{ config, ... }:

{
  services.hedgedoc.settings = {
    # enabled by default anyways
    # TODO(eyJhb): disable exposing this to the WORLD
    enableStatsApi = true;
  };

  services.prometheus.scrapeConfigs = [
    {
      job_name = "hedgedoc";
      static_configs = [{
        targets = [ "localhost:${builtins.toString config.services.hedgedoc.settings.port}"];
      }];
    }
  ];
}
